<?php

class ControllerExtensionCommonProductManufacturerImage extends Controller {
    public function hookManufacturerImage(&$route, &$data, &$template) {
        $width = 50; // Change this to a custom value
        $height = 50; // Change this to a custom value

        $product_id = $data['product_id'];

        $this->load->model('tool/image');
        $this->load->model('catalog/product');
        $this->load->model('catalog/manufacturer');

        $product_info = $this->model_catalog_product->getProduct($product_id);

        if ($product_info) {
            $manufacturer_info = $this->model_catalog_manufacturer->getManufacturer($product_info['manufacturer_id']);

            if (isset($manufacturer_info['image']) && file_exists(DIR_IMAGE . $manufacturer_info['image'])) {
                $image = $this->model_tool_image->resize($manufacturer_info['image'], $width, $height);

                $data['manufacturer'] = '<img src="' . $image . '" alt="' . htmlentities($manufacturer_info['name'], ENT_QUOTES, 'UTF-8') . '" />';
                $data['text_manufacturer'] = '';
            }
        }
    }
}